#Тема 3 <Лазарев Данил Вячеславович>
1. Запуск интерактивной оболочки IDLE.
import os
os.chdir('C:\\Users\\Dannyan\\OneDrive\\Рабочий стол\\python-labs\\TEMA3\\')
2.Преобразование простых базовых типов объектов.
2.1 Преобразование в логический тип с помощью функции 'bool'
logiz1 = bool(56)
logiz1
True
logiz2 = bool(0)
logiz2
False
logiz3 = bool("Beta")
logiz3
True
logiz4 = bool("")
logiz4
False
tt1 = int(198.6)
tt1
198
tt2 = int("-76")
tt2
-76
tt3 = int("B",16)
tt3
11
tt4 = int("71",8)
tt4
57
tt5 = int("98.76")
Traceback (most recent call last):
  File "<pyshell#18>", line 1, in <module>
    tt5 = int("98.76")
ValueError: invalid literal for int() with base 10: '98.76'
flt1 = float(789)
flt1
789.0
flt2 =float(-6.78e2)
flt2
-678.0
flt3 = float("Infinity")
flt3
inf
flt4 = float("-inf")
flt4
-inf
hh = 123
dv1 = bin(hh)
dv1
'0b1111011'
vos1 = oct(hh)
vos1
'0o173'
dhs1 = hex(hh)
shs1 = hex(hh)
shs1
'0x7b'
int(dv1,2)
123
int(vos1,8)
123
int(shs1,16)
123
strk1 = str(23.6)
strk1
'23.6'
strk2 = str(logiz3)
Traceback (most recent call last):
  File "<pyshell#2>", line 1, in <module>
    strk2 = str(logiz3)
NameError: name 'logiz3' is not defined
strk3=str(["A","B","C"])
strk3
"['A', 'B', 'C']"
strk4=str(("A","B","C"))
strk4
"('A', 'B', 'C')"
strk5=str({"A":1,"B":2,"C":9})
strk5
"{'A': 1, 'B': 2, 'C': 9}"
spis1=list("Строка символов")
spis1
['С', 'т', 'р', 'о', 'к', 'а', ' ', 'с', 'и', 'м', 'в', 'о', 'л', 'о', 'в']
spis2=list((124,236,-15,908))
spis2
[124, 236, -15, 908]
spis3=list({"A":1,"B":2,"C":9})
spis3
['A', 'B', 'C']
kort7=tuple('Строка символов')
kort7
('С', 'т', 'р', 'о', 'к', 'а', ' ', 'с', 'и', 'м', 'в', 'о', 'л', 'о', 'в')
kort8=tuple(spis2)
kort8
(124, 236, -15, 908)
kort9=tuple({"A":1,"B":2,"C":9})
kort9
('A', 'B', 'C')
del strk5, kort8
strk5
Traceback (most recent call last):
  File "<pyshell#25>", line 1, in <module>
    strk5
NameError: name 'strk5' is not defined. Did you mean: 'strk1'?
kort8
Traceback (most recent call last):
  File "<pyshell#26>", line 1, in <module>
    kort8
NameError: name 'kort8' is not defined. Did you mean: 'kort7'?
f = "LazarevDV"
list(f)
['L', 'a', 'z', 'a', 'r', 'e', 'v', 'D', 'V']
tuple(f)
('L', 'a', 'z', 'a', 'r', 'e', 'v', 'D', 'V')
str(f)
'LazarevDV'
12+7+90
109
5.689e-1 - 0.456
0.11289999999999994
23.6+54
77.6
14-56.7+89
46.3
-6.7*12
-80.4
-234.5/6
-39.083333333333336
a=178/4
a
44.5
type(a)
<class 'float'>
b=178//45
c=-24.6//12.1
b
3
c
-3.0
b/c
-1.0
27.1// 4
6.0
148%33
16
12.6%3.8
1.2000000000000002
21.3%3
0.3000000000000007
14**3
2744
e=2.7**3.6
e
35.719843790663525
32.1** 2
1030.41
2**3.11
8.633825892035416
dv1=9
dv2=~dv1
bin(dv1)
'0b1001'
bin(dv2)
'-0b1010'
dv2
-10
7 & 8
0
7|9
15
7|8
15
14|5
15
14^5
11
h=14
h
14
bin(h)
'0b1110'
g=h<<2
g
56
bin(g)
'0b111000'
g1 = h>>1
bin(g1)
'0b111'
g1
7
g2 = h>>2
g2
3
bin(g2)
'0b11'
k = 63
l = bin(63)
l
'0b111111'
h = 231
l = 832
l << 2
3328
bin(3328)
'0b110100000000'
l
832
bin(l)
'0b1101000000'
bin(l<<7)
'0b11010000000000000'
bin(l>>7)
'0b110'
bin(h>>3)
'0b11100'
bin(h)
'0b11100111'
'Система '+'регулирования'
'Система регулирования'
['abc','de','fg']+['hi','jkl']
['abc', 'de', 'fg', 'hi', 'jkl']
('abc','de','fg')+('hi','jkl')
('abc', 'de', 'fg', 'hi', 'jkl')
'ля-'*5
'ля-ля-ля-ля-ля-'
['ку','-']*3
['ку', '-', 'ку', '-', 'ку', '-']
('кис','-')*4
('кис', '-', 'кис', '-', 'кис', '-', 'кис', '-')
signal1=[0]*3+[1]*99
signal1
[0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1]
signal2=(0,)*3+(1,)*5+(0,)*7
signal2
(0, 0, 0, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0)
stroka='Система автоматического управления'
'автомат' in stroka
True
'ку' in ['ку','-']*3
True
'ля-' in ('abc', 'de', 'fg', 'hi', 'jkl')
False
stroka='Температура = %g %s  %g'
stroka % (16,' меньше ',25)
'Температура = 16  меньше   25'
stroka='Температура = %(zn1)g %(sravn)s  %(zn2)g'
stroka % {'zn1':16,'sravn':' меньше ','zn2':25}
'Температура = 16  меньше   25'
zz=-12
zz
-12
zz
-7
zz-=3
zz
-10
stroka='Система'
stroka+=' регулирования'
stroka
'Система регулирования'
zz/=2
zz
-5.0
zz*=5
zz
-25.0
stroka *= 3
stroka
'Система регулированияСистема регулированияСистема регулирования'
p = 27
p=27.3
p //= 2
p
13.0
p %= 3
p
1.0
p +=2
p**=2
p
9.0
w=v=10
w,v
(10, 10)
n1,n2,n3=(11,-3,'all')
n1,n2,n3
(11, -3, 'all')
b1,b2,b23 = {"A":1,"B":2,"C":9}
b1,b2,b3 = {"A":1,"B":2,"C":9}
b1,b2,b3
('A', 'B', 'C')
b1,b2,b3 = {"A","B","C"}
b1,b2,b3
('C', 'A', 'B')
b1,b2,b2= '123'
b1
'1'
b2
'3'
b3
'B'
b1,b2,b3= '123'
b1,b2,b3
('1', '2', '3')
mnoz1={'pen','book','pen','iPhone','table','book'}
'book' in mnoz1
True
'cap' in mnoz1
False
dic1={'Saratov':145, 'Orel':56, 'Vologda':45}
'Vologda' in dic1
True
'Pskov' in dic1
False
56 in dic1.values()
True
dct1={'Institut':['AVTI','IEE','IBB'],'Depart':['UII','PM','VMSS','MM'],'gruppa': ['A-01-15','A-02-15']}
'UII' in dct1['Depart']
True
dct1['Depart'][1] == 'MM'
False
a=17
b=-6
(a>=b) and ('book' in mnoz1) and not ('Pskov' in dic1)
True
(a<b) or ('book' in mnoz1)
True
(a != b) and ( a>b) and (a == 17)
True
w=v=10
w is v
True
w1=['A','B']
v1=['A','B']
w1 is v1
False
stroka='Микропроцессорная система управления'
dir(stroka)
['__add__', '__class__', '__contains__', '__delattr__', '__dir__', '__doc__', '__eq__', '__format__', '__ge__', '__getattribute__', '__getitem__', '__getnewargs__', '__getstate__', '__gt__', '__hash__', '__init__', '__init_subclass__', '__iter__', '__le__', '__len__', '__lt__', '__mod__', '__mul__', '__ne__', '__new__', '__reduce__', '__reduce_ex__', '__repr__', '__rmod__', '__rmul__', '__setattr__', '__sizeof__', '__str__', '__subclasshook__', 'capitalize', 'casefold', 'center', 'count', 'encode', 'endswith', 'expandtabs', 'find', 'format', 'format_map', 'index', 'isalnum', 'isalpha', 'isascii', 'isdecimal', 'isdigit', 'isidentifier', 'islower', 'isnumeric', 'isprintable', 'isspace', 'istitle', 'isupper', 'join', 'ljust', 'lower', 'lstrip', 'maketrans', 'partition', 'removeprefix', 'removesuffix', 'replace', 'rfind', 'rindex', 'rjust', 'rpartition', 'rsplit', 'rstrip', 'split', 'splitlines', 'startswith', 'strip', 'swapcase', 'title', 'translate', 'upper', 'zfill']
stroka.find('пр')
5
stroka.count("с")
4
stroka.replace(' у',' автоматического у')
'Микропроцессорная система автоматического управления'
spis22=stroka.split(' ')
spis22
['Микропроцессорная', 'система', 'управления']
stroka.upper()
'МИКРОПРОЦЕССОРНАЯ СИСТЕМА УПРАВЛЕНИЯ'
stroka3=" ".join(spis22)
stroka3
'Микропроцессорная система управления'
stroka3.partition("с")
('Микропроце', 'с', 'сорная система управления')
stroka3.rpartition("с")
('Микропроцессорная си', 'с', 'тема управления')
strk1='Момент времени {}, значение = {}'
strk1.format(1,89.7)
'Момент времени 1, значение = 89.7'
strk2='Момент времени {1}, значение = {0}:{2}'
strk2.format(36.7,2,'норма!')
'Момент времени 2, значение = 36.7:норма!'
strk3='Момент времени {num}, значение = {znch}'
strk3
'Момент времени {num}, значение = {znch}'
strk3.format(znch=89.7,num=2)
'Момент времени 2, значение = 89.7'
spsk = [1, 'book', 32.2, [21,32], 'sss']
spsk
[1, 'book', 32.2, [21, 32], 'sss']
spsk.pop(2)
32.2
spsk
[1, 'book', [21, 32], 'sss']
spsk.append('c')
spsk
[1, 'book', [21, 32], 'sss', 'c']
spsk.insert(2,'a')
spsk
[1, 'book', 'a', [21, 32], 'sss', 'c']
spsk.count('a')
1
